
  procedure SetFlag(var Flags : byte; FlagMask : byte);
    {-Set the bit(s) specified by FlagMask in Flags}
    inline(
      $58/                   {pop ax        ;FlagMask into AL}
      $5F/                   {pop di}
      $07/                   {pop es        ;ES:DI => Flags}
      $26/$08/$05);          {or es:[di],al ;Flags := Flags or FlagMask}

  procedure ClearFlag(var Flags : byte; FlagMask : byte);
    {-Clear the bit(s) specified by FlagMask in Flags}
    inline(
      $58/                   {pop ax         ;FlagMask into AL}
      $5F/                   {pop di}
      $07/                   {pop es         ;ES:DI => Flags}
      $F6/$D0/               {not al         ;AL := not AL}
      $26/$20/$05);          {and es:[di],al ;Flags := Flags and not FlagMask}

  function FlagIsSet(Flags, FlagMask : byte) : Boolean;
    {-Returns True if the bit specified by FlagMask is set in Flags}
    inline(
      $5A/                   {pop dx    ;FlagMask into DL}
      $58/                   {pop ax    ;Flags into AL}
      $2A/$E4/               {sub ah,ah}
      $22/$C2/               {and al,dl ;Mask out everything not in FlagMask}
      $74/$03/               {jz  Exit}
      $B8/$01/$00);          {mov ax,1  ;AX = Ord(True)}
                             {Exit:}

